/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.reflection;

import java.lang.reflect.Type;

/**
 *
 * @author ranides
 */
public interface GenericClass {

    String name();

    Class<?> rawType();
    
    GenericClass[] params();
    
    boolean isParametrised();
    
    boolean isResolved();
    
    Type type();
    
    @Override
    String toString();
    
}
